require("config.lazy")

local hipatterns = require('mini.hipatterns')
local base16 = require('mini.base16')

require('mini.comment').setup()
require('mini.completion').setup()
require('mini.pairs').setup()
require('mini.basics').setup()
require('mini.bracketed').setup()
require('mini.clue').setup()
require('mini.diff').setup()
require('mini.extra').setup()
require('mini.files').setup()
require('mini.git').setup()
require('mini.misc').setup()
require('mini.pick').setup()
require('mini.sessions').setup()
require('mini.cursorword').setup()
require('mini.icons').setup()
require('mini.indentscope').setup()
require('mini.notify').setup()
require('mini.statusline').setup()
require('mini.tabline').setup()
require('mini.trailspace').setup()
base16.setup({
  palette = {
    base00 = "#151515",
    base01 = "#1f1f1f",
    base02 = "#2e2e2e",
    base03 = "#424242",
    base04 = "#bbb6b6",
    base05 = "#e8e3e3",
    base06 = "#e8e3e3",
    base07 = "#e8e3e3",
    base08 = "#b66467",
    base09 = "#b66467",
    base0A = "#d9bc8c",
    base0B = "#8c977d",
    base0C = "#8aa6a2",
    base0D = "#8da3b9",
    base0E = "#a988b0",
    base0F = "#b66467",
  }
})
hipatterns.setup({
  highlighters = {
    hex_color = hipatterns.gen_highlighter.hex_color(),
  },
})
